<?php
##### rrcemeteries_help_include.php, installed by ###Admin Cemeteries Search OR ###Admin Cemetery Edit
# as a protected file so that either mod can generate an "About Cemeteries" section in the
# cemeteries help file.
# Both mods check a flag in $sharedFileAlreadyIncluded, set it if it is not set, and
# use it to decide whether to call the two functions in this file.
# (They also use it to decide whether to install a TOC link to the About Cemeteries section.

##########################################################
function rrShowSharedStylesheet() {
	global $isConnected;
/*
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script>window.jQuery || document.write("<script src='js/jquery-1.8.3.min.js?v=11.1.2'>\x3C/script>")</script>
*/
	if($isConnected) {
		echo "<script src=\"https://code.jquery.com/jquery-3.3.1.min.js\" integrity=\"sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=\" crossorigin=\"anonymous\"></script>\n";
		echo "<script src=\"https://code.jquery.com/ui/1.12.1/jquery-ui.min.js\" integrity=\"sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=\" crossorigin=\"anonymous\"></script>\n";
	}
	else {
		echo "<script type=\"text/javascript\" src='../../js/jquery-3.3.1.min.js?v=910'></script>\n";
		echo "<script type=\"text/javascript\" src='../../js/jquery-ui-1.12.1.min.js?v=910'></script>\n";
	}
?>
	<style>
	div.p {margin:1ex 0;}
	div.p p{margin:0;}
	p.p {margin:1ex 0;}
	div.p ol, div.p ul {margin-top:0;margin-right:0;}
	ol.p>li, ul.p>li {margin-top:1ex;margin-bottom:1ex;}
	.code {font-family:courier new,monospace;}
	</style>
<?php
} #end function rrShowSharedStylesheet

#			<a href="#about" class="lightlink">About TNG Cemeteries</a> &nbsp; | &nbsp;
#			<a href="#searchmod" class="lightlink">Admin Cemeteries Search Mod</a> &nbsp; | &nbsp;
##########################################################
function rrShowAboutCemeteriesSection () {
?>
		<p id="about" class="subheadbold">About Cemeteries in TNG</p>
		<p>The relationship between "Cemeteries" and "Burial Places" (i.e. the placenames associated with Burial Events) in TNG can be confusing at first.
		You can read a detailed explanation in the <a href="https://tng.lythgoes.net/wiki/title=Cemeteries" target="_blank">Cemeteries article in the TNG Wiki</a>.
		<p style="margin-bottom:0;">Here's a summary:
		<ul style='margin-top:0;'>
			<li>The Placenames associated with burial events, like all other Placenames, are stored in a common table of Placenames for all event types.</li>
			<li>The TNG "Cemeteries" functionality requires that the Placenames associated with most burial events include the Cemetery name.</li>
			<li>"Cemeteries" are separate from, and, and in some ways redundant with Burial Placenames.
			They are stored in a separate table (the "Cemeteries" table), and must be created and by a TNG site administrator separately from the process of entering information about People and Events.</li>
			<li>Some TNG sites record all burial places in the Places table as Cemeteries,
				but it is common to define a Cemetery only for burial places of particular interest for that TNG site.</li>
			<li>The Cemeteries table allows TNG to
			<ul style="margin-top:0;">
				<li>Bring focus to burial places that are significant to the TNG site, or the family that the site focuses on,</li>
				<li>Categorize and display headstone photos by cemetery, and</li>
				<li>List all burials in a given cemetery or group of cemeteries.</li>
			</ul></li>
		</ul>
		Note also that a "Cemetery" (like the place associated with Burial Event) can be a mausoleum or crypt, as in an old church or other place of worship.
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
<?php
} #end function showAboutCemeteriesSection
